Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.poi.xwpf.model
Class XWPFHyperlinkDecorator

    java.lang.Object
      org.apache.poi.xwpf.model.XWPFParagraphDecorator
          org.apache.poi.xwpf.model.XWPFHyperlinkDecorator

    public class XWPFHyperlinkDecorator

extends XWPFParagraphDecorator

Decorator class for XWPFParagraph allowing to add hyperlinks found in paragraph to its text. Note - adds the hyperlink at the end, not in the right place... Use `XWPFHyperlinkRun` instead

Constructor Summary
`XWPFHyperlinkDecorator(XWPFParagraphDecorator nextDecorator, boolean outputHyperlinkUrls)`
`XWPFHyperlinkDecorator(XWPFParagraph prgrph, XWPFParagraphDecorator nextDecorator, boolean outputHyperlinkUrls)`

Method Summary
`java.lang.String` | `getText()`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### XWPFHyperlinkDecorator

    public XWPFHyperlinkDecorator(XWPFParagraphDecorator nextDecorator,
                                  boolean outputHyperlinkUrls)

Parameters:
  `nextDecorator` - The next decorator to use
  `outputHyperlinkUrls` - Should we output the links too, or just the link text?

### XWPFHyperlinkDecorator

    public XWPFHyperlinkDecorator(XWPFParagraph prgrph,
                                  XWPFParagraphDecorator nextDecorator,
                                  boolean outputHyperlinkUrls)

Parameters:
  `prgrph` - The paragraph of text to work on
  `outputHyperlinkUrls` - Should we output the links too, or just the link text?

Method Detail

### getText

    public java.lang.String getText()

  Overrides:
    `getText` in class `XWPFParagraphDecorator`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD